Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Linwood
AuthorEmail: admin@linwood.dev
SourceCode: https://github.com/LinwoodCloud/butterfly
IssueTracker: https://github.com/LinwoodCloud/butterfly/issues
Translation: https://linwood.crowdin.com/butterfly
Changelog: https://github.com/LinwoodCloud/butterfly/blob/develop/CHANGELOG.md

AutoName: Butterfly

RepoType: git
Repo: https://github.com/LinwoodCloud/butterfly.git

Builds:
  - versionName: 1.4.0-alpha.3
    versionCode: 30
    commit: 483e0a80c3118a1c495ccd088c6118c597d32848
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-beta.0
    versionCode: 31
    commit: 6e2744f7639331025e98b34380be5d3e4701962f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-rc.1
    versionCode: 34
    commit: 9dea98e2feaa8651d239ce3a5c388813bcb83f29
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-rc.2
    versionCode: 35
    commit: ce4e5d2097400e5fd5323583302f87691562c111
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0-rc.3
    versionCode: 36
    commit: 279d6343c30d1140321306b38c2d5e7267d54bf0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.0
    versionCode: 37
    commit: 5b3f7d598278675f7bfac2cd79f6d80fa487a6f2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.1
    versionCode: 38
    commit: 583a1ce7bb04452f373d27c781f5e3f041cc6c6a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.2
    versionCode: 39
    commit: 3f7585f80c48b53bc603d9c25d06b23b9f6828ac
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.4.3
    versionCode: 40
    commit: 043d800fa82f9139f4bc62790561cc04c0c65133
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-alpha.0
    versionCode: 41
    commit: 776cad8727f93c0334ebe25335bce33d9d863d8b
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.0-0.5.pre
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-alpha.1
    versionCode: 42
    commit: 359472e5e688e84668601fb81064829f77ac3ee6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

  - versionName: 1.5.0-alpha.2
    versionCode: 43
    commit: efdcc96302804200af29b5e73ea5023fa64998ba
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-nightly-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor nightly

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.+$
UpdateCheckData: app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.0-alpha.2
CurrentVersionCode: 43
